%define subrel 1

Name: kdesdk4
Summary: K Desktop Environment - Software Development Kit
Version: 4.2.4
Release: %mkrel 0
Epoch: 1
License: GPL
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdesdk-%version.tar.bz2
BuildRoot: %_tmppath/%name-%version-%release-root
Group: Graphical desktop/KDE
BuildRequires: db4-devel 
BuildRequires: freetype2-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: kdepim4-devel
BuildRequires: bzip2-devel 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel 
BuildRequires: png-devel 
BuildRequires: zlib-devel
BuildRequires: flex
BuildRequires: binutils-devel
BuildRequires: subversion-devel
BuildRequires: libxslt-devel
BuildRequires: mesaglut-devel 
BuildRequires: X11-devel 
BuildRequires: libltdl-devel
BuildRequires: boost-devel
Requires:      kapptemplate
Requires:      kuiviewer
Requires:      kdesdk4-scripts
Requires:      kbugbuster
Requires:      %name-strigi-analyzer
Requires:      %name-po2xml
Requires:      kate
Requires:      umbrello 
Requires:      cervisia
Requires:      kompare 
Requires:      kmtrace
Requires:      kcachegrind
Requires:      lokalize

%description
Software Development Kit for the K Desktop Environment.

%files
%defattr(-,root,root)

#--------------------------------------------------------------------

%package core
Summary: Common files needed for kdesdk
Group: Graphical desktop/KDE
Conflicts: %name < %epoch:3.97.1-0.746591.1
Obsoletes: %{_lib}kdesdk41 < %epoch:3.96.1-0.740308.2
Obsoletes: %name < %epoch:4.0.2-3
Requires:  kdebase4-runtime
%description core
Common files needed for kdesdk

%files core
%defattr(-,root,root)
%{_kde_bindir}/krazy-licensecheck
%{_kde_bindir}/cvsaskpass
%{_kde_bindir}/cvsservice
%{_kde_bindir}/kio_svn_helper
%{_kde_bindir}/kstartperf
%{_kde_bindir}/kpartloader
%{_kde_libdir}/kde4/kabcformat_kdeaccounts.so
%{_kde_appsdir}/kabc/formats/kdeaccountsplugin.desktop
%{_kde_appsdir}/kio_perldoc
%{_kde_appsdir}/kpartloader
%{_kde_libdir}/kde4/kio_perldoc.so
%{_kde_datadir}/kde4/services/perldoc.protocol

#---------------------------------------------------------------------

%package  -n kapptemplate
Summary:   Template for KDE Application Development
Group:     Graphical desktop/KDE
Provides:  kapptemplate4
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Conflicts: kdevelop4 < 3:4.0.80-1
Requires:  %name-core = %epoch:%version-%release
Obsoletes: kde4-kapptemplate < 1:4.0.68
Provides: kde4-kapptemplate = %epoch:%version

%description   -n kapptemplate
KAppTemplate is a set of modular shell scripts that will create a 
framework for any number of KDE application types. At it's base 
level, it handles creation of things like the automake/autoconf 
framework, lsm files, RPM spec files, and po files. Then, there 
are individual modules that allow you to create a skeleton KDE 
application, a KPart application, a KPart plugin, or even convert 
existing source code to the KDE framework.

%files   -n kapptemplate
%defattr(-,root,root)
%{_kde_bindir}/kapptemplate
%{_kde_datadir}/applications/kde4/kapptemplate.desktop
%{_kde_datadir}/config.kcfg/kapptemplate.kcfg
%{_kde_appsdir}/kdevappwizard
%_kde_docdir/*/*/kapptemplate
%_kde_iconsdir/hicolor/*/apps/kapptemplate.png

#---------------------------------------------------------------------

%package  -n kuiviewer
Summary:   UI Files Viewer
Group:     Graphical desktop/KDE
Provides:  kuiviewer4
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Requires:  %name-core = %epoch:%version-%release
Obsoletes: kde4-kuiviewer < 1:4.0.68
Provides: kde4-kuiviewer = %epoch:%version

%description -n kuiviewer
Displays Qt Designer UI files

%files -n kuiviewer
%defattr(-,root,root)
%{_kde_bindir}/kuiviewer
%{_kde_libdir}/kde4/libkuiviewerpart.so
%{_kde_libdir}/kde4/quithumbnail.so
%{_kde_datadir}/applications/kde4/kuiviewer.desktop
%{_kde_appsdir}/kuiviewer
%{_kde_appsdir}/kuiviewerpart
%{_kde_iconsdir}/hicolor/*/apps/kuiviewer.png
%{_kde_datadir}/kde4/services/kuiviewer_part.desktop
%{_kde_datadir}/kde4/services/designerthumbnail.desktop

#---------------------------------------------------------------------

%package -n kdesdk4-scripts
Summary:    Script From kdesdk
Group:      Graphical desktop/KDE
Conflicts:  kdesdk4 < %epoch:3.97.1-0.746591.1
Obsoletes:  kde4-scripts
Requires:   %name-core = %epoch:%version-%release
Requires:   colorsvn

%description -n kdesdk4-scripts
This package contains the scripts for KDE development which are
contained in the kdesdk module.

%files -n kdesdk4-scripts
%defattr(-,root,root)
%{_kde_bindir}/adddebug
%{_kde_bindir}/build-progress.sh
%{_kde_bindir}/cheatmake
# (nl) Prefer the file from colorsvn as it is more up to date 
# and this removing fix a conflict between kdesdk4-scripts and colorsvn
%exclude %{_kde_bindir}/colorsvn
%{_kde_bindir}/create_cvsignore
%{_kde_bindir}/create_makefile
%{_kde_bindir}/create_makefiles
%{_kde_bindir}/create_svnignore
%{_kde_bindir}/cvs-clean
%{_kde_bindir}/cvs2dist
%{_kde_bindir}/cvsaddcurrentdir
%{_kde_bindir}/cvsbackport
%{_kde_bindir}/cvsblame
%{_kde_bindir}/cvscheck
%{_kde_bindir}/cvsforwardport
%{_kde_bindir}/cvslastchange
%{_kde_bindir}/cvslastlog
%{_kde_bindir}/cvsrevertlast
%{_kde_bindir}/cvsversion
%{_kde_bindir}/cxxmetric
%{_kde_bindir}/extend_dmalloc
%{_kde_bindir}/extractattr
%{_kde_bindir}/extractrc
%{_kde_bindir}/findmissingcrystal
%{_kde_bindir}/fix-include.sh
%{_kde_bindir}/fixkdeincludes
%{_kde_bindir}/fixuifiles
%{_kde_bindir}/includemocs
%{_kde_bindir}/kde_generate_export_header
%{_kde_bindir}/kdedoc
%{_kde_bindir}/kdekillall
%{_kde_bindir}/kdelnk2desktop.py
%{_kde_bindir}/kdemangen.pl
%{_kde_bindir}/kdesvn-build
%{_kde_bindir}/makeobj
%{_kde_bindir}/noncvslist
%{_kde_bindir}/nonsvnlist
%{_kde_bindir}/package_crystalsvg
%{_kde_bindir}/png2mng.pl
%{_kde_bindir}/pruneemptydirs
%{_kde_bindir}/qtdoc
%{_kde_bindir}/svn-clean
%{_kde_bindir}/svn2dist
%{_kde_bindir}/svnbackport
%{_kde_bindir}/svnforwardport
%{_kde_bindir}/svnchangesince
%{_kde_bindir}/svngettags
%{_kde_bindir}/svnintegrate
%{_kde_bindir}/svnlastchange
%{_kde_bindir}/svnlastlog
%{_kde_bindir}/svnrevertlast
%{_kde_bindir}/svnversions
%{_kde_bindir}/zonetab2pot.py
%{_kde_bindir}/optimizegraphics
%{_kde_bindir}/wcgrep

%_kde_applicationsdir/kdesvn-build.desktop

%_kde_mandir/man1/adddebug.1.*
%_kde_mandir/man1/cheatmake.1.*
%_kde_mandir/man1/create_cvsignore.1.*
%_kde_mandir/man1/create_makefile.1.*
%_kde_mandir/man1/create_makefiles.1.*
%_kde_mandir/man1/cvscheck.1.*
%_kde_mandir/man1/cvslastchange.1.*
%_kde_mandir/man1/cvslastlog.1.*
%_kde_mandir/man1/cvsrevertlast.1.*
%_kde_mandir/man1/cxxmetric.1.*
%_kde_mandir/man1/demangle.1.*
%_kde_mandir/man1/extend_dmalloc.1.*
%_kde_mandir/man1/extractrc.1.*
%_kde_mandir/man1/fixincludes.1.*
%_kde_mandir/man1/po2xml.1.*
%_kde_mandir/man1/pruneemptydirs.1.*
%_kde_mandir/man1/qtdoc.1.*
%_kde_mandir/man1/reportview.1.*
%_kde_mandir/man1/split2po.1.*
%_kde_mandir/man1/swappo.1.*
%_kde_mandir/man1/transxx.1.*
%_kde_mandir/man1/xml2pot.1.*
%_kde_mandir/man1/zonetab2pot.py.1.*

%_kde_docdir/HTML/en/kdesvn-build

#---------------------------------------------------------------------

%package -n kbugbuster
Summary:   kbugbuster
Group:     Graphical desktop/KDE
Provides:  kbugbuster4
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Requires:  %name-core = %epoch:%version-%release
Obsoletes: kde4-kbugbuster < 1:4.0.68
Provides: kde4-kbugbuster = %epoch:%version

%description -n kbugbuster
Kbugbuster

%files -n kbugbuster
%defattr(-,root,root)
%_kde_bindir/kbugbuster
%_kde_datadir/applications/kde4/kbugbuster.desktop
%dir %_kde_appsdir/kbugbuster
%_kde_appsdir/kbugbuster/*
%_kde_iconsdir/*/*/*/kbugbuster*
%_kde_libdir/kde4/kcal_bugzilla.so
%_kde_datadir/kde4/services/kresources/kcal/bugzilla.desktop
%_kde_docdir/*/*/kbugbuster

#---------------------------------------------------------------------

%package strigi-analyzer
Summary: Strigi Analyzer
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version-%release

%description strigi-analyzer
Strigi analyzer

%files strigi-analyzer
%defattr(-,root,root)
%_kde_libdir/strigi/strigi*

#---------------------------------------------------------------

%package po2xml
Summary: Xml2po and vice versa converters
Group: Graphical desktop/KDE
Conflicts: kdesdk4-core < 1:3.97.1-0.752225.2
Conflicts: kde4-scripts < 1:3.97.1-0.752225.2

%description po2xml
An xml2po and vice versa converters.

%files po2xml
%defattr(-,root,root,-)
%{_kde_bindir}/po2xml
%{_kde_bindir}/split2po
%{_kde_bindir}/swappo
%{_kde_bindir}/xml2pot

#---------------------------------------------------------------------

%package -n kate
Summary:   Kate
Group:     Graphical desktop/KDE
Provides:  kate4
Obsoletes: kdebase4-kate < 1:3.97.1
Provides:  kdebase4-kate > 1:3.97.1
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %name-core = %epoch:%version-%release
Obsoletes: kde4-kate < 1:4.0.68
Provides: kde4-kate = %epoch:%version

%description -n kate
A fast and advanced text editor with nice plugins

%files -n kate
%defattr(-,root,root)
%_kde_bindir/kate
%_kde_datadir/applications/kde4/kate.desktop
%_kde_iconsdir/hicolor/*/apps/kate.*
%dir %_kde_appsdir/kate
%_kde_appsdir/kate/externaltools
%_kde_appsdir/kate/icons/*/*/actions/curfiledir.*
%_kde_appsdir/kate/icons/*/*/actions/modified.*
%_kde_appsdir/kate/icons/*/*/actions/modmod.*
%_kde_appsdir/kate/icons/*/*/actions/modonhd.*
%_kde_appsdir/kate/icons/oxygen/16x16/actions/null.png
%_kde_appsdir/kate/kateui.rc
%_kde_appsdir/kate/plugins/*
%_kde_appsdir/kate/tips
%_kde_appsdir/kate/default.katesession
%_kde_appsdir/kconf_update/kate-2.4.upd
%_kde_datadir/config/katerc
%_kde_datadir/config/katefiletemplates.knsrc
%_kde_libdir/libkdeinit4_kate.so
%_kde_libdir/kde4/katebacktracebrowserplugin.so
%_kde_libdir/kde4/kateexternaltoolsplugin.so
%_kde_libdir/kde4/katefilebrowserplugin.so
%_kde_libdir/kde4/katefiletemplates.so
%_kde_libdir/kde4/katefindinfilesplugin.so
%_kde_libdir/kde4/katekonsoleplugin.so
%_kde_libdir/kde4/katemailfilesplugin.so
%_kde_libdir/kde4/kateopenheaderplugin.so
%_kde_libdir/kde4/katequickdocumentswitcherplugin.so
%_kde_libdir/kde4/katesnippetsplugin.so
%_kde_libdir/kde4/katesymbolviewerplugin.so
%_kde_libdir/kde4/katetabbarextensionplugin.so
%_kde_libdir/kde4/katetextfilterplugin.so
%_kde_libdir/kde4/plasma_applet_katesession.so
%_kde_libdir/kde4/katebuildplugin.so
%_kde_libdir/kde4/katectagsplugin.so
%dir %_kde_appsdir/katepart
%dir %_kde_appsdir/katepart/syntax   
%_kde_appsdir/katepart/syntax/katetemplate.xml
%_kde_appsdir/katepart/syntax/kdesvn-buildrc.xml
%_kde_datadir/kde4/services/katebacktracebrowserplugin.desktop
%_kde_datadir/kde4/services/kateexternaltoolsplugin.desktop
%_kde_datadir/kde4/services/katefilebrowserplugin.desktop
%_kde_datadir/kde4/services/katefiletemplates.desktop
%_kde_datadir/kde4/services/katefindinfilesplugin.desktop
%_kde_datadir/kde4/services/katekonsoleplugin.desktop
%_kde_datadir/kde4/services/katemailfilesplugin.desktop
%_kde_datadir/kde4/services/kateopenheader.desktop
%_kde_datadir/kde4/services/katequickdocumentswitcher.desktop
%_kde_datadir/kde4/services/katesnippets.desktop
%_kde_datadir/kde4/services/katesymbolviewer.desktop
%_kde_datadir/kde4/services/katetabbarextension.desktop
%_kde_datadir/kde4/services/katetextfilter.desktop
%_kde_datadir/kde4/servicetypes/kateplugin.desktop
%_kde_datadir/kde4/services/plasma-applet-katesession.desktop
%_kde_datadir/kde4/services/katebuildplugin.desktop
%_kde_datadir/kde4/services/katectagsplugin.desktop
%_kde_mandir/man1/kate.1.*
%_kde_docdir/*/*/kate-plugins 
%_kde_docdir/*/*/kate

#---------------------------------------------------------------

%package -n umbrello
Summary:    UML Modeller
Group:      Graphical desktop/KDE
Provides:   umbrello4
Conflicts:  kdesdk4 < %epoch:3.97.1
Conflicts:  kdesdk-umbrello < 1:3.5.9-5
Requires:   %name-core = %epoch:%version-%release
Obsoletes:  %name-umbrello < %epoch:3.97.1 
Obsoletes:  kde4-umbrello < 1:4.0.68
Provides:   kde4-umbrello = %epoch:%version

%description -n umbrello
Umbrello UML Modeller is a UML diagramming tool for KDE.

%files -n umbrello
%defattr(-,root,root,-)
%_kde_bindir/umbrello
%_kde_datadir/applications/kde4/umbrello.desktop
%dir %_kde_appsdir/umbrello/
%_kde_appsdir/umbrello/*
%_kde_iconsdir/*/*/*/umbrello*
%_kde_docdir/*/*/umbrello

#---------------------------------------------------------------

%package -n lokalize
Summary:    Computer-Aided Translation Tool
Group:      Graphical desktop/KDE
Provides:   lokalize4
Obsoletes:  localise < 1:4.0.83-4
Obsoletes:  localise4 < 1:4.0.83-4
Requires:   %name-core = %epoch:%version-%release
Requires:   kdesdk4-strigi-analyzer
Requires:   qt4-database-plugin-sqlite

%description -n lokalize
Lokalize is a computer-aided translation system that focuses on 
productivity and performance. Translator does only creative work 
(of delivering message in his/her mother language in laconic and 
easy to understand form). Lokalize implies paragraph-by-paragraph 
translation approach (when translating documentation) and 
message-by-message approach (when translating GUI).

%files -n lokalize
%defattr(-,root,root,-)
%_kde_bindir/lokalize
%_kde_datadir/applications/kde4/lokalize.desktop                                     
%_kde_appsdir/lokalize
%_kde_datadir/config.kcfg/lokalize.kcfg  
%_kde_datadir/strigi/fieldproperties/strigi_translation.fieldproperties                                            
%_kde_iconsdir/*/*/actions/approved.*
%_kde_iconsdir/*/*/actions/insert_arg.png
%_kde_iconsdir/*/*/actions/insert_tag.png                             
%_kde_iconsdir/*/*/actions/msgid2msgstr.png                           
%_kde_iconsdir/*/*/actions/nexterror.png                              
%_kde_iconsdir/*/*/actions/nextfuzzy.png                              
%_kde_iconsdir/*/*/actions/nextfuzzyuntrans.png                       
%_kde_iconsdir/*/*/actions/nextuntranslated.png                       
%_kde_iconsdir/*/*/actions/preverror.png                              
%_kde_iconsdir/*/*/actions/prevfuzzy.png                              
%_kde_iconsdir/*/*/actions/prevfuzzyuntrans.png                       
%_kde_iconsdir/*/*/actions/prevuntranslated.png                       
%_kde_iconsdir/*/*/actions/search2msgstr.png
%_kde_iconsdir/*/*/actions/transsearch.png                            
%_kde_iconsdir/*/*/actions/catalogmanager.png
%_kde_iconsdir/*/*/actions/autodiff.png
%_kde_iconsdir/*/*/actions/diff.png
%_kde_iconsdir/*/*/apps/lokalize.*
%_kde_docdir/*/*/lokalize

#---------------------------------------------------------------

%package -n cervisia
Summary:    CVS client part
Group:      Graphical desktop/KDE
Provides:   cervisia4 = %epoch:%version-%release
Requires:   cvs
Conflicts:  kdesdk4 < %epoch:3.97.1-0.746591.1
Conflicts:  kdesdk-cervisia < 1:3.5.9-5mdv
Requires:   %name-core = %epoch:%version-%release
Obsoletes:  %name-cervisia < %epoch:3.97.1 
Obsoletes:  kde4-cervisia < 1:4.0.68
Provides:   kde4-cervisia = %epoch:%version

%description -n cervisia
CVS client part.

%files -n cervisia
%defattr(-,root,root,-)
%{_kde_bindir}/cervisia
%_kde_iconsdir/*/*/actions/svn_add.*
%_kde_iconsdir/*/*/actions/svn_branch.*
%_kde_iconsdir/*/*/actions/svn_merge.*
%_kde_iconsdir/*/*/actions/svn_remove.*
%_kde_iconsdir/*/*/actions/svn_status.*
%_kde_iconsdir/*/*/actions/svn_switch.*
%_kde_datadir/applications/kde4/cervisia.desktop
%_kde_appsdir/cervisia/cervisia.notifyrc
%_kde_appsdir/cervisia/cervisiashellui.rc
%_kde_appsdir/cervisiapart/cervisiaui.rc
%_kde_appsdir/kconf_update/cervisia-change_repos_list.pl
%_kde_appsdir/kconf_update/cervisia-normalize_cvsroot.pl
%_kde_appsdir/kconf_update/cervisia.upd
%_kde_appsdir/kconf_update/change_colors.pl
%_kde_datadir/config.kcfg/cervisiapart.kcfg
%_kde_datadir/icons/*/*/actions/vcs_add.*
%_kde_datadir/icons/*/*/actions/vcs_commit.*
%_kde_datadir/icons/*/*/actions/vcs_diff.*
%_kde_datadir/icons/*/*/actions/vcs_remove.*
%_kde_datadir/icons/*/*/actions/vcs_status.*
%_kde_datadir/icons/*/*/actions/vcs_update.*
%_kde_datadir/icons/*/*/apps/cervisia.*
%_kde_libdir/libkdeinit4_cervisia.so
%_kde_libdir/libkdeinit4_cvsaskpass.so
%_kde_libdir/libkdeinit4_cvsservice.so
%{_kde_libdir}/kde4/kded_ksvnd.so
%{_kde_libdir}/kde4/kio_svn.so
%{_kde_libdir}/kde4/cervisiapart.so
%{_kde_datadir}/kde4/services/ServiceMenus/subversion.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/subversion_toplevel.desktop
%{_kde_datadir}/kde4/services/cervisiapart.desktop
%{_kde_datadir}/kde4/services/cvsservice.desktop
%{_kde_datadir}/kde4/services/kded/ksvnd.desktop
%{_kde_datadir}/kde4/services/svn+file.protocol
%{_kde_datadir}/kde4/services/svn+http.protocol
%{_kde_datadir}/kde4/services/svn+https.protocol
%{_kde_datadir}/kde4/services/svn+ssh.protocol
%{_kde_datadir}/kde4/services/svn.protocol
%_kde_docdir/*/*/cervisia
%{_kde_mandir}/man1/cervisia.1.*

#---------------------------------------------------------------

%package -n kompare
Summary: KDE diff graphic tool
Group: Graphical desktop/KDE
Provides: kompare4 = %epoch:%version-%release
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Conflicts: kdesdk-kompare < 1:3.5.9-5
Obsoletes: %name-kompare < %epoch:3.97.1-0.746591.1
Requires: %name-core = %epoch:%version-%release
Obsoletes: kde4-kompare < 1:4.0.68
Provides: kde4-kompare = %epoch:%version

%description -n kompare
kompare is a KDE diff graphic tool

%files -n kompare
%defattr(-,root,root,-)
%_kde_bindir/kompare
%_kde_libdir/kde4/libkomparenavtreepart.so
%_kde_libdir/kde4/libkomparepart.so
%_kde_datadir/applications/kde4/kompare.desktop
%_kde_appsdir/kompare
%_kde_datadir/icons/hicolor/128x128/apps/kompare.png
%_kde_datadir/icons/hicolor/16x16/apps/kompare.png
%_kde_datadir/icons/hicolor/22x22/apps/kompare.png
%_kde_datadir/icons/hicolor/32x32/apps/kompare.png
%_kde_datadir/icons/hicolor/48x48/apps/kompare.png
%_kde_datadir/icons/hicolor/scalable/apps/kompare.svgz
%_kde_datadir/kde4/services/komparenavtreepart.desktop
%_kde_datadir/kde4/services/komparepart.desktop
%_kde_datadir/kde4/servicetypes/komparenavigationpart.desktop
%_kde_datadir/kde4/servicetypes/kompareviewpart.desktop
%_kde_docdir/*/*/kompare

#---------------------------------------------------------------

%define  komparediff2_major 4
%define  libkomparediff2 %mklibname komparediff2 %komparediff2_major

%package -n %libkomparediff2
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkomparediff2
KDE 4 core library.

%if %mdkversion < 200900
%post -n   %libkomparediff2 -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkomparediff2 -p /sbin/ldconfig
%endif

%files -n %libkomparediff2
%defattr(-,root,root)
%_kde_libdir/libkomparediff2.so.%{komparediff2_major}*

#---------------------------------------------------------------

%define  komparedialogpages_major 4
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major

%package -n %libkomparedialogpages
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkomparedialogpages
KDE 4 core library.

%if %mdkversion < 200900
%post -n   %libkomparedialogpages -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkomparedialogpages -p /sbin/ldconfig
%endif

%files -n %libkomparedialogpages
%defattr(-,root,root)
%_kde_libdir/libkomparedialogpages.so.%{komparedialogpages_major}*

#---------------------------------------------------------------


%define  kompareinterface_major 4
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

%package -n %libkompareinterface
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkompareinterface
KDE 4 core library.

%if %mdkversion < 200900
%post -n   %libkompareinterface -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkompareinterface -p /sbin/ldconfig
%endif

%files -n %libkompareinterface
%defattr(-,root,root)
%_kde_libdir/libkompareinterface.so.%{kompareinterface_major}*

#---------------------------------------------------------------

%package -n kmtrace
Summary: Memory Allocation Debugging Tool
Group: Graphical desktop/KDE
Provides: kmtrace4 = %epoch:%version-%release
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Requires: %name-core = %epoch:%version-%release
Obsoletes: kde4-kmtrace < 1:4.0.68
Provides: kde4-kmtrace = %epoch:%version

%description -n kmtrace
Memory Allocation Debugging Tool

%files -n kmtrace
%defattr(-,root,root,-)
%{_kde_bindir}/kmtrace
%{_kde_bindir}/demangle
%{_kde_bindir}/kminspector
%{_kde_bindir}/kmmatch
%{_kde_appsdir}/kmtrace

#---------------------------------------------------------------

%package -n kcachegrind
Summary: KCachegrind
Group: Graphical desktop/KDE
Provides: kcachegrind4 = %epoch:%version-%release
Obsoletes: %name-kcachegrind < %epoch:3.97.1
Conflicts: kdesdk4 < %epoch:3.97.1-0.746591.1
Conflicts: kdesdk-kcachegrind < 1:3.5.9-5
Requires: %name-core = %epoch:%version-%release
Obsoletes: kde4-kcachegrind < 1:4.0.68
Provides: kde4-kcachegrind = %epoch:%version
%ifarch %{ix86}
Requires: valgrind
%endif

%description -n kcachegrind
KCachegrind is a visualisation tool for the profiling data generated by 
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.

%files -n kcachegrind
%defattr(-,root,root,-)
%_kde_bindir/kcachegrind
%{_kde_bindir}/dprof2calltree
%{_kde_bindir}/hotshot2calltree
%{_kde_bindir}/memprof2calltree
%{_kde_bindir}/op2calltree
%{_kde_bindir}/pprof2calltree
%_kde_iconsdir/*/*/*/kcachegrind*
%dir %_kde_appsdir/kcachegrind/
%_kde_appsdir/kcachegrind/*
%_kde_datadir/applications/kde4/kcachegrind.desktop
%_kde_docdir/*/*/kcachegrind

#---------------------------------------------------------------

%define  antlr_major 4
%define  libantlr %mklibname antlr %antlr_major

%package -n %libantlr
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libantlr
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libantlr -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libantlr -p /sbin/ldconfig
%endif

%files -n %libantlr
%defattr(-,root,root)
%_kde_libdir/libantlr.so.%{antlr_major}*

#---------------------------------------------------------------

%define  kateinterfaces_major 4
%define  libkateinterfaces %mklibname kateinterfaces %kateinterfaces_major

%package -n %libkateinterfaces
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkateinterfaces
KDE 4 core library.

%if %mdkversion < 200900
%post -n   %libkateinterfaces -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkateinterfaces -p /sbin/ldconfig
%endif

%files -n %libkateinterfaces
%defattr(-,root,root)
%_kde_libdir/libkateinterfaces.so.%{kateinterfaces_major}*

#-----------------------------------------------------------------------------

%define  kstartperf_major 4
%define  libkstartperf %mklibname kstartperf %kstartperf_major

%package -n %libkstartperf
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkstartperf
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkstartperf -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkstartperf -p /sbin/ldconfig
%endif

%files -n %libkstartperf
%defattr(-,root,root)
%_kde_libdir/libkstartperf.so.%{kstartperf_major}*

#-----------------------------------------------------------------------------

%define  ktrace_major 4
%define  libktrace %mklibname ktrace %ktrace_major

%package -n %libktrace
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libktrace
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libktrace -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libktrace -p /sbin/ldconfig
%endif

%files -n %libktrace
%defattr(-,root,root)
%_kde_libdir/libktrace.so.%{ktrace_major}*

#---------------------------------------------------------------------

%package    devel
Summary:    Header files for kdesdk
Group:      Development/KDE and Qt
Provides:   kdesdk4-devel =  %epoch:%version-%release
Conflicts:  kompare < 1:4.2.0-3
Obsoletes:  %{_lib}kdesdk41-kate-devel < %epoch:3.96.1-0.740308.2
Obsoletes:  %{_lib}kdesdk41-devel < %epoch:3.96.1-0.740308.2
Obsoletes:  %{_lib}kdesdk41-cervisia-devel < %epoch:3.96.1-0.740308.2

%description  devel
This package includes the header files you will need to compile
applications for kdesdk.

%files devel
%defattr(-,root,root,-)
%_kde_includedir/kprofilemethod.h
%_kde_includedir/ktrace.h
%_kde_includedir/kate_export.h
%dir %_kde_includedir/kate
%_kde_includedir/kate/*.h
%_kde_libdir/libantlr.so
%_kde_libdir/libktrace.so
%_kde_libdir/libkstartperf.so
%_kde_libdir/libkateinterfaces.so
%_kde_libdir/libkompareinterface.so
%_kde_libdir/libkomparediff2.so
%_kde_libdir/libkomparedialogpages.so
%_kde_datadir/dbus-1/interfaces/*

#---------------------------------------------------------------

%prep
%setup -q -n kdesdk-%version

%build
%cmake_kde4
%make

%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot




%changelog
* Wed Jun 03 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.4-0.1mdv2009.1
+ Revision: 382512
- Major KDE 4.2.4 update

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires on the lokalize package
    - Fix mkrel usage
    - Update to kde 4.2.3

* Fri Apr 10 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.2-4mdv2009.1
+ Revision: 365553
- Fix requires on kdesdk4-strigi-analyzer

* Thu Apr 09 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.2-3mdv2009.1
+ Revision: 365474
- Fix Requires (Bug #49582)

* Fri Mar 27 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.2-2mdv2009.1
+ Revision: 361757
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with 4.2.2 try#1 packages

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.1-1mdv2009.1
+ Revision: 346213
- KDE 4.2.1 try#1 upstream release

* Wed Feb 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.0-3mdv2009.1
+ Revision: 342615
- Fix file list

* Mon Feb 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.0-2mdv2009.1
+ Revision: 340891
- Rebuild against qt4.5

* Wed Jan 28 2009 Funda Wang <fundawang@mandriva.org> 1:4.2.0-1mdv2009.1
+ Revision: 334913
- fix file list
- New version 4.2.0

* Wed Jan 21 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.96-2mdv2009.1
+ Revision: 332331
- Fix file list
- Add an upstream patch to fix the build against the new boost

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Sun Dec 14 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.85-1mdv2009.1
+ Revision: 314062
- Fix File list
- New version KDE 4.2 Beta2

* Thu Dec 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.82-1mdv2009.1
+ Revision: 313487
- Update to kde 4.1.82

* Mon Dec 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.81-1mdv2009.1
+ Revision: 308866
- Update to kde 4.1.81

* Wed Nov 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.80-1mdv2009.1
+ Revision: 304563
- Update with Beta 1 - 4.1.80

* Sat Nov 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.73-1mdv2009.1
+ Revision: 303436
- Update to kde 4.1.73

* Sat Oct 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.71-1mdv2009.1
+ Revision: 297138
- Fix file list
- Fix file list
- New version 4.1.71
- Fix Requires

  + Funda Wang <fundawang@mandriva.org>
    - update file list
    - New version 4.1.70

* Sat Sep 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288846
- KDE 4.1.2 arriving.

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-1mdv2009.0
+ Revision: 277828
- Upgrade to forthcoming 4.1.1 packages

* Tue Jul 29 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 252439
- Update with Release Candidate 1 - 4.1.0
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.85-1mdv2009.0
+ Revision: 232548
- New version kde 4.0.85
- Use default kate behaviour

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-1mdv2009.0
+ Revision: 229406
- Update with new snapshot tarballs 4.0.84

* Tue Jun 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.83-4mdv2009.0
+ Revision: 228498
- [BUGFIX] Fix name of lokalize package ( it was wrongly called localize ) (Bug #41637) ( thanks to JLP )
  Fix Description and summary too ( thanks to JLP )
- Rebuild against fixed rpm

* Sun Jun 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.83-2mdv2009.0
+ Revision: 227845
- [BUGFIX] Fix use of multiple instances in kate (Bug #41365)

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 226103
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-2mdv2009.0
+ Revision: 218302
- Update with new snapshot tarballs 4.0.82
- Update with new snapshot tarballs 4.0.81

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-2mdv2009.0
+ Revision: 211536
- Conflicts against old kdevelop4

* Mon May 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-1mdv2009.0
+ Revision: 211453
- Fix file list
- Own %%{_kde_appsdir}/kmtrace
- Own %%_kde_appsdir/kompare
- Own %%{_kde_appsdir}/kuiviewer
- Own %%_kde_appsdir/lokalize

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Sun May 18 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.74-2mdv2009.0
+ Revision: 208768
- [BUGFIX] Fix conflicts with colorsvn (Bug #40909)

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 1:4.0.74-1mdv2009.0
+ Revision: 208076
- New version 4.0.74

* Sun May 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-5mdv2009.0
+ Revision: 205937
- Bump release
- Fix more conflicts
- Fix conflicts
- Rebuild because of BS failure
- Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-1mdv2009.0
+ Revision: 202804
- Add boost-devel as BuildRequires
- Remove patch not needed
- Update to kde 4.0.72
- Fix Requires
- Fix Require and lib name
- Add new package Localize , libkomparediff2 and libkomparedialogpages
- New snapshot 4.0.70

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Sun Mar 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.3-1mdv2008.1
+ Revision: 191157
- Fix release

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for last stable release 4.0.3

* Tue Mar 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-3mdv2008.1
+ Revision: 190096
- Fix obsoletes

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182265
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177448
- New upstream bugfix release 4.0.2

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:4.0.1-2mdv2008.1
+ Revision: 170921
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix BuildRequires

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 166287
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team

* Sun Feb 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-3mdv2008.1
+ Revision: 161802
- Fix name of the kdesdk4-scripts package

* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 1:4.0.0-2mdv2008.1
+ Revision: 149660
- fix versioning of obsoletes
- ensure major correctness

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 147321
- Update for final stable 4.0.0

  + Funda Wang <fundawang@mandriva.org>
    - single out po2xml and related progs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.752225.1mdv2008.1
+ Revision: 137578
- New snapshot
  Kompare is back for christmas
  libkompareinterface is now on the package too

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.746591.1mdv2008.1
+ Revision: 117709
- New snapshot
  Big clean up
        - Creation of core package
        - Creation of Kbugbuster package
        - Creation of scripts package
        - Creation of kuiviewer package
        - Creation of kmtrace package
        - Creation of kcachegrind package
        - Creation of libantlr libkateinterfaces  libkstartperf and libktrace4
        - Removal of libkdesdk41-kate and libkdesdk41-cervisia
        - All Devel files have been merged in kdesdk4-devel

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740308.1mdv2008.1
+ Revision: 111565
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.0-0.737044.1mdv2008.1
+ Revision: 109672
- KDE4 RC1
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.730863.1mdv2008.1
+ Revision: 103698
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.729243.1mdv2008.1
+ Revision: 102093
- New snapshot
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.727179.1mdv2008.1
+ Revision: 100590
- Kde 4 Beta 3

* Wed Sep 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.93.0-0.714320.1mdv2008.0
+ Revision: 93009
- new snapshot from KDE svn
- spec cleanup

  + Laurent Montel <lmontel@mandriva.org>
    - it compiles with enable final
    - new snapshot
    - new snapshot


* Fri Mar 02 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.6mdv2007.0
+ Revision: 130938
- s/kdebase/kdebase4

* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.5mdv2007.1
+ Revision: 130474
- Fix obsolete provides
- new snapshot
- 3.80.3
- new snapshot
- Fix spec file
- new snapshot
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.4mdv2007.1
+ Revision: 110423
- updtae

* Sat Jan 13 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.4mdv2007.1
+ Revision: 108183
- Fix buildrequires (need to compile kcal plugins)

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.3mdv2007.1
+ Revision: 107029
- a
- Update

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.2mdv2007.1
+ Revision: 104043
- Update

* Fri Dec 29 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-2mdv2007.1
+ Revision: 102535
- Fix buildrequires
- Import kdesdk4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-5mdv2007.0
- kde 4.0

